Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request DELETE \ --url https://dashboard.ondial.ai/api/v1/knowledge-bases/documents/{fileId} \ --header 'Authorization: Bearer <token>'
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}}; fetch('https://dashboard.ondial.ai/api/v1/knowledge-bases/documents/{fileId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://dashboard.ondial.ai/api/v1/knowledge-bases/documents/{fileId}" headers = {"Authorization": "Bearer <token>"} response = requests.delete(url, headers=headers) print(response.text)
{ "ok": true }
{ "error": "Invalid or inactive API key", "reasonCode": "unauthorized" }
{ "error": "<string>", "reasonCode": "<string>", "missing": [ "<string>" ] }
Delete a document and its stored binary (requires knowledge:write scope).
fileId
404
document_not_found
Paste only your API key (ond_live_… or ond_test_…). Do not type the word Bearer — the playground adds it.
ond_live_…
ond_test_…
Deleted
true